//Задаем путь .xml-файлов задач
function ExecuteCurrentTasksMPI(MessagePointName,..//Точка обмена сообщениями
                                projectName,..//Имя проекта
                                tasksSep..//Разделитель задач
                                )
    //Проверяем и обрабатываем аргументы
    select argn(2)
    case 0 then
        error('The function ExecuteCurrentTasksMPI takes 1, 2 or 3 arguments');
    case 1 then
        projectName = "";
        tasksSep = ',';
    case 2 then
        tasksSep = ',';
    end
    
    //Создаем точку обмена сообщениями
    MessagePointName_local = MessagePointName + '_local';//Локальная точка
    MessagePointName_server = MessagePointName + '_server';//Серверная точка
    [IPAddres,..//Локальный IP-адрес
     LocalPort..//Локальный порт
     ] = GetLocalMPIAddres();
    CreateMessagePoint(MessagePointName_local,IPAddres,LocalPort);
    
    //Ждем регистрации серверной точки обмена сообщениями
    isRegisteredMessagePoint(MessagePointName_local,MessagePointName_server,%t);
    
    //Запускаем текущие задачи для консоли
    function messages=askCommandFromSocket(quesion)
        //Отправляем запрос
        SendMessage(MessagePointName_local,MessagePointName_server,quesion);
        
        //Ждем ответ
        messages = ReceiveMessage(MessagePointName_local,%t);
    endfunction
    function dispCommandToSocket(messages)
        //Отправляем сообщение
        SendMessage(MessagePointName_local,MessagePointName_server,messages);
    endfunction
    ExecuteCurrentTasks("askCommandFromSocket",..
                        "dispCommandToSocket",..
                        projectName,tasksSep);
    
    //Удаляем точку обмена сообщениями
    DestroyMessagePoint(MessagePointName_local);
endfunction
